=== pics/CMakeLists.txt ===
install(DIRECTORY 22x22 DESTINATION ${KDE_INSTALL_ICONDIR}/hicolor)
install(DIRECTORY 16x16 DESTINATION ${KDE_INSTALL_ICONDIR}/hicolor)
