=== plugins/CMakeLists.txt ===
ecm_optional_add_subdirectory(konsole)
add_subdirectory(filemanager)
if (Grantlee5_FOUND)
    add_subdirectory(appwizard)
endif()
add_subdirectory(projectmanagerview)
add_subdirectory(genericprojectmanager)
add_subdirectory(standardoutputview)
add_subdirectory(documentview)
add_subdirectory(quickopen)
add_subdirectory(executescript)
add_subdirectory(contextbrowser)
ecm_optional_add_subdirectory(cvs)
add_subdirectory(problemreporter)
add_subdirectory(execute)
add_subdirectory(externalscript)
add_subdirectory(documentswitcher)
add_subdirectory(patchreview)
add_subdirectory(openwith)
add_subdirectory(grepview)
add_subdirectory(git)
add_subdirectory(bazaar)
add_subdirectory(vcschangesview)
if (Grantlee5_FOUND)
    add_subdirectory(filetemplates)
    add_subdirectory(codeutils)
endif()
add_subdirectory(testview)
add_subdirectory(switchtobuddy)
add_subdirectory(projectfilter)
if (Qt5QuickWidgets_FOUND)
    add_subdirectory(welcomepage)
endif()
add_subdirectory(outlineview)

ecm_optional_add_subdirectory(classbrowser)

find_package(SubversionLibrary)
set_package_properties(SubversionLibrary PROPERTIES
    PURPOSE "Support for Subversion integration"
    URL "http://subversion.tigris.org"
    TYPE OPTIONAL)

if(SubversionLibrary_FOUND)
    ecm_optional_add_subdirectory(subversion)
endif()
