=== template/CMakeLists.txt ===
if(Grantlee5_FOUND)
  add_subdirectory(filters)
  add_subdirectory(templates)
endif()
