=== debian/changelog ===
kdevplatform (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Jan 2017 15:43:27 -0300

kdevplatform (5.0.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Override dh_makeshlibs to generate a shlibs dependency for the current
    version.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Sep 2016 22:54:28 +0200

kdevplatform (5.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_find-all-dependencies.patch: drop, backported from upstream
  * Replace the kio-dev (transitional) (build) dependency with libkf5kio-dev.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Mon, 19 Sep 2016 22:22:56 +0200

kdevplatform (5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - switches from Qt4 (using QtWebKit) to Frameworks (Closes: #784484)
    - the kdevplatform_create_template_archive CMake macro invokes tar in a
      reproducible way (Closes: #815962)
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, libgrantlee-dev, libqjson-dev, libqtwebkit-dev
    - add extra-cmake-modules, qtbase5-dev, qtdeclarative5-dev,
      libqt5webkit5-dev, libkf5archive-dev, libkf5config-dev,
      libkf5guiaddons-dev, libkf5declarative-dev, libkf5i18n-dev,
      libkf5iconthemes-dev, libkf5itemmodels-dev, libkf5itemviews-dev,
      libkf5jobwidgets-dev, libkf5kcmutils-dev, kio-dev, libkf5newstuff-dev,
      libkf5notifications-dev, libkf5notifyconfig-dev, libkf5parts-dev,
      libkf5service-dev, libkf5sonnet-dev, libkf5texteditor-dev,
      libkf5threadweaver-dev, libkf5windowsystem-dev, libkf5widgetsaddons-dev,
      libkf5xmlgui-dev, libgrantlee5-dev, and libkomparediff2-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Rename packages according to the SONAME bumps:
    - kdevplatform8-libs -> kdevplatform10-libs
    - libsublime8 -> libsublime10
  * Update the patches:
    - 11_disable_examples_tests.diff: drop, no more needed
    - upstream_filetemplates-plugin-Make-testfiletemplates-depend-o.patch:
      drop, backported from upstream
  * Update install files.
  * Add in kdevplatform10-libs breaks/replaces against old kdevplatform8-libs.
  * Backport upstream commit b64f24d70164c65805e3fff965478a21fd74326b to fix
    dependencies in the cmake configuration files; patch
    upstream_find-all-dependencies.patch.
  * Disable building of unit tests, as long as they are not run.
  * Manually add -dev dependencies in kdevplatform-dev and libsublime-dev,
    for now.
  * Update lintian overrides.
  * Fold the Sublime library into the main library and -dev packages, as the
    split is no more worth:
    - install the content of libsublime10 into kdevplatform10-libs
    - install the content of libsublime-dev into kdevplatform-dev, adding
      proper breaks/replaces
    - drop the libsublime10 and libsublime-dev binaries
  * Remove dh_makeshlibs override in rules, no more needed.
  * Raise the kdevelop and kdevelop-data breaks in kdevplatform10-libs to
    versions lower than 5.0.

 -- Pino Toscano <pino@debian.org>  Fri, 26 Aug 2016 20:33:08 +0200

kdevplatform (1.7.3-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit dd18e9a13558cbe519c382d3fe358ae97e39cd38 to fix
    build without parallel jobs; patch
    upstream_filetemplates-plugin-Make-testfiletemplates-depend-o.patch.
    (Closes: #821805)
  * Remove kdevplatform-dbg in favour of the -dbgsym packages.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Jun 2016 22:13:52 +0200

kdevplatform (1.7.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 May 2016 17:26:25 -0300

kdevplatform (1.7.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (Closes: #821805).
  * Make uscan:
    - Look for different compression methods, as it seems they might change.
    - Repack the source with xz compression.
  * Update Standards-Version to 3.9.7, no changes required.
  * Update Vcs-[Browser Git] to their https versions.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 30 Apr 2016 11:58:21 -0300
