## kdevplatform 5.0.4

=== debian/changelog ===
kdevplatform (5.0.4-0ubuntu1) zesty; urgency=medium

  * New upstream bugfix release (5.0.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 15 Mar 2017 08:09:07 +0000

kdevplatform (5.0.3-0ubuntu2) zesty; urgency=medium

  * Clean up packaging from 5.0.3-0ubuntu1
  * Sync with Debian. Remaining changes:
    - Add autopkgtest
  * New upstream bugfix release
  * debian/kdevplatform10-libs.install:
    - Install breakpoint icons

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 26 Dec 2016 15:24:14 -0500

kdevplatform (5.0.3-0ubuntu1) zesty; urgency=medium

  [ Ovidiu-Florin Bogdan ]
  * Merged with debian experimental

  [ Clive Johnston ]
  * New upstream release (5.0.1)
  * New upstream release (5.0.2)
  * New upstream release (5.0.3)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 26 Dec 2016 15:30:44 +0000
