=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kdevplatform
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
@@ -9,20 +9,19 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                extra-cmake-modules (>= 0.0.9),
-               qtbase5-dev (>= 5.4.0),
-               qtdeclarative5-dev (>= 5.4.0),
-               libqt5webkit5-dev (>= 5.4.0),
+               kio-dev (>= 5.16.0),
+               libboost-serialization-dev,
+               libgrantlee5-dev,
                libkf5archive-dev (>= 5.16.0),
                libkf5config-dev (>= 5.16.0),
+               libkf5declarative-dev (>= 5.16.0),
                libkf5guiaddons-dev (>= 5.16.0),
-               libkf5declarative-dev (>= 5.16.0),
                libkf5i18n-dev (>= 5.16.0),
                libkf5iconthemes-dev (>= 5.16.0),
                libkf5itemmodels-dev (>= 5.16.0),
                libkf5itemviews-dev (>= 5.16.0),
                libkf5jobwidgets-dev (>= 5.16.0),
                libkf5kcmutils-dev (>= 5.16.0),
-               libkf5kio-dev (>= 5.16.0),
                libkf5newstuff-dev (>= 5.16.0),
                libkf5notifications-dev (>= 5.16.0),
                libkf5notifyconfig-dev (>= 5.16.0),
@@ -31,18 +30,19 @@
                libkf5sonnet-dev (>= 5.16.0),
                libkf5texteditor-dev (>= 5.16.0),
                libkf5threadweaver-dev (>= 5.16.0),
+               libkf5widgetsaddons-dev (>= 5.16.0),
                libkf5windowsystem-dev (>= 5.16.0),
-               libkf5widgetsaddons-dev (>= 5.16.0),
                libkf5xmlgui-dev (>= 5.16.0),
-               libgrantlee5-dev,
                libkomparediff2-dev,
-               libboost-serialization-dev,
+               libqt5webkit5-dev (>= 5.4.0),
                libsvn-dev,
                pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev (>= 5.4.0),
+               qtdeclarative5-dev (>= 5.4.0)
 Standards-Version: 3.9.8
 Homepage: http://www.kdevelop.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevplatform.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevplatform.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevplatform
+Vcs-Git: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevplatform
 
 Package: kdevplatform10-libs
 Architecture: any
@@ -72,9 +72,7 @@
 Section: libdevel
 Architecture: any
 Depends: kdevplatform10-libs (= ${binary:Version}),
-         ${misc:Depends},
-         qtbase5-dev (>= 5.4.0),
-         qtdeclarative5-dev (>= 5.4.0),
+         libgrantlee5-dev,
          libkf5archive-dev (>= 5.16.0),
          libkf5config-dev (>= 5.16.0),
          libkf5guiaddons-dev (>= 5.16.0),
@@ -92,7 +90,9 @@
          libkf5texteditor-dev (>= 5.16.0),
          libkf5threadweaver-dev (>= 5.16.0),
          libkf5windowsystem-dev (>= 5.16.0),
-         libgrantlee5-dev,
+         qtbase5-dev (>= 5.4.0),
+         qtdeclarative5-dev (>= 5.4.0),
+         ${misc:Depends}
 Breaks: libsublime-dev (<< 5.0)
 Replaces: libsublime-dev (<< 5.0)
 Description: development files for the KDevelop platform
